%define name mpgtx
%define version 1.0
%define release 2mdk

Summary: Manipulate tags, split, join, demultiplex, and fetch information on MPEG files.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/mpgtx/mpgtx-1.0-1-src.tar.bz2
Patch0: mpgtx-0.8b-fix-makefile.patch.bz2
License: GPL
Group: Video
URL: http://mpgtx.sourceforge.net/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}
# Author: Laurent Alacoque <laureck@users.sourceforge.net>

%description
mpgtx (an MPEG ToolboX) allows you to manipulate ID3 tags, split, join,
demultiplex, and fetch detailed information about a variety of MPEG files.
It was designed to do little, but do it well, and to provide the end user
with an austere yet powerful commandline interface. It replaces "mpgcut".

%prep
%setup -q
%patch0 -p0

%build
make shared CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
find -type f | xargs chmod a+r
make install MANDIR="$RPM_BUILD_ROOT/%{_mandir}/man1" INSTALLDIR="$RPM_BUILD_ROOT/%{_bindir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-2mdk
- rebuild to fix file permissions

* Mon Jul 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-1mdk
- first stable version, a.k.a 1.0

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8-0.b.2mdk
- rebuild

* Mon Jun  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8-0.b.1mdk
- first mdk version
